package framework 
{
	import framework.device.graphics.FontManager;
	import framework.device.sound.SoundManager;
	import framework.device.input.InputManager;
	import framework.device.graphics.GraphicManager;
	
	/**
	 * ...
	 * @author syun
	 */
	public class IToken
	{
		public static var _g:GraphicManager;
		public static var _i:InputManager;
		public static var _m:SoundManager;
		public static var _f:FontManager;
		public function IToken() 
		{
			// 特に何もしない
		}
		/**
		 * 更新
		 */
		public function update():void
		{
			throw new Error("IToken.update()が未実装");
		}
		/**
		 * 描画
		 */
		public function draw():void
		{
			throw new Error("IToken.draw()が未実装");
		}
		
	}

}