package framework.device.input 
{
	import flash.events.MouseEvent;
	/**
	 * マウスの入力管理
	 * @author syun
	 */
	public class Mouse
	{
		private var m_bDown:Boolean;
		private var m_bUp:Boolean;
		private var m_Press:Boolean;
		private var m_PressPrev:Boolean;
		private var m_Push:Boolean;
		private var m_X:int;
		private var m_Y:int;
		public function Mouse() 
		{
			m_bDown = false;
			m_bUp = false;
			m_Press = false;
			m_PressPrev = false;
			m_Push = false;
			m_X = Main.WIDTH/2;
			m_Y = Main.HEIGHT/2;
		}
		public function endFrame():void
		{
			// 押し続けているかどうか判定
			if (m_bDown && m_bUp == false)
			{
				m_Press = true;
			}
			else if (m_bDown && m_bUp)
			{
				if (m_Press == false)
				{
					m_Press = true;
				}
				else
				{
					m_Press = false;
				}
				m_bDown = false;
				m_bUp = false;
			}
			
			// そのフレームに押したかどうか判定
			if (m_Press && m_PressPrev == false)
			{
				m_Push = true;
			}
			else
			{
				m_Push = false;
			}
			m_PressPrev = m_Press;
		}
		
		public function isPress():Boolean
		{
			return m_Press;
		}
		public function isPush():Boolean
		{
			return m_Push;
		}
		
		public function x():int
		{
			return m_X;
		}
		public function y():int
		{
			return m_Y;
		}
		
		public function onMove(e:MouseEvent):void
		{
			m_X = e.stageX;
			m_Y = e.stageY;
		}
		public function onClick(e:MouseEvent):void
		{
			//m_PushPrev = true;
		}
		public function onDown(e:MouseEvent):void
		{
			m_bDown = true;
		}
		public function onUp(e:MouseEvent):void
		{
			m_bUp = true;
		}
	}

}