package framework.util 
{
	import flash.geom.Rectangle;
	/**
	 * ...
	 * @author syun
	 */
	public class RectEx
	{
		private var m_Rect:Rectangle;
		public function RectEx(cx:Number=0, cy:Number=0, w:Number=0, h:Number=0) 
		{
			m_Rect = new Rectangle(cx - w, cy - h, w * 2, h * 2);
		}
		public function move(cx:Number, cy:Number):void
		{
			m_Rect.x = cx - m_Rect.width / 2;
			m_Rect.y = cy - m_Rect.height / 2;
		}
		public function left():Number
		{
			return m_Rect.x;
		}
		public function top():Number
		{
			return m_Rect.y;
		}
		
		public function getX():Number
		{
			return m_Rect.x + m_Rect.width / 2;
		}
		public function getY():Number
		{
			return m_Rect.y + m_Rect.height / 2;
		}
		public function getRectangle():Rectangle
		{
			return m_Rect;
		}
		public function isHit(x:Number, y:Number):Boolean
		{
			var x1:Number = m_Rect.x;
			var y1:Number = m_Rect.y;
			var x2:Number = m_Rect.x + m_Rect.width;
			var y2:Number = m_Rect.y + m_Rect.height;
			if (x < x1) { return false; }
			if (y < y1) { return false; }
			if (x2 < x) { return false; }
			if (y2 < y) { return false; }
			return true;
		}
		
	}

}