require 'win32ole'
require 'yaml'
require 'define'

USE_DEFINE_HEADER = false # wb_t@Cgp邩ǂ
HEADER_FILEPATH   = "../../src/define.d" # CN[hwb_t@C
CONVERT_UTF8      = true # UTF-8ɃRo[g邩ǂ
HIDEMARU_EXE      = "C:/Program files/Hidemaru/Hidemaru" # UTF-8Ro[gɕKv

def convUtf8(filename)
	cd  = Dir::pwd
	Dir::chdir(File::dirname($0))
	mac = Dir::pwd + "/utf8.mac"
	Dir::chdir(cd)
	cmd = '"' + HIDEMARU_EXE + '"/h/x"' + mac + '" ' + filename
	system(cmd)
end

# 萔V[g
def parseDefine(sheet, defTbl)
	row = 1
	while true
		# L[
		key = sheet.cells(row, 1).value
		case key
		when nil
			break # ܂
		when /^#/
			row += 1
			next # Rg
		end
		# l
		val = sheet.cells(row, 2).value
		defTbl[key] = val
		row += 1
	end
end

# V[g
def parseSheet(sheet, defTbl)
	row = 1
	nCol = 1
	while true
		# 󕶎̏I[
		val = sheet.cells(row, nCol).value
		case val
		when nil
			break
		when /^#/
			break # Rg
		end
		
		nCol += 1
	end
	# o̓t@C
	filename = sheet.name + ".csv"
	file = open(filename, "w")
	bEnd = false
	while true
		bComment = false
		(nCol-1).times.each do |col|
			col += 1
			val = sheet.cells(row, col).value
			if col == 1
				# P
				case val
				when nil
					# 󕶎Ă炨܂
					bEnd = true
					break
				when /^#/
					# RgȂ̂Ŏ̍s
					bComment = true
					break
				end
			end
			val = "" if val == nil
			if defTbl.key?(val)
				val = defTbl[val] # 萔Ȃ̂Œu
			end
			if col == 1
				# ŏ̗ɂ","Ȃ
				file.write(val.to_s)
			else
				file.write("," + val.to_s)
			end
		end
		if bComment == false
			# RgsłȂ̂ŉs
			file.write("\n")
		end
		row += 1
		if sheet.cells(row, 1).value == nil
			# Psڂɉ͂ĂȂ΁A܂
			break
		end
	end
	file.close
	print " -> %s\n"%filename
	if CONVERT_UTF8
		# UTF8ɃRo[g
		print "  -> Convert UTF8\n"
		convUtf8(filename)
	end
end

def convertXls(excel, target)
	defTbl = {}
	if USE_DEFINE_HEADER
		defTbl = loadDefine(HEADER_FILEPATH) # 萔wb_
	end
	print "%s\n"%target
	target = target.gsub("/", "\\")     # fBNg̋؂'/''\'
	book = excel.workbooks.open(target) # Excelt@CI[v
	nSheet = book.worksheets.count      # [NV[g̐擾
	# 萔̉
	nSheet.times.each do |cnt|
		cnt += 1
		sheet = book.worksheets(cnt)
		if sheet.name == "define"
			parseDefine(sheet, defTbl) # 萔V[g̉
		end
	end
	# e[ủ
	nSheet.times.each do |cnt|
		cnt += 1
		sheet = book.worksheets(cnt) # Pڂ̃V[g擾
		next if sheet.name == "define" # 萔V[g͏o͂Ȃ
		parseSheet(sheet, defTbl)
	end
	excel.Workbooks.Close
end

# ExcelCSVɃRo[g
# @param excel  ExcelCOM
# @param target Ro[gΏہBnil̏ꍇSẴtH_́u*.xlsv
def main(excel, target=nil)
	if target
		convertXls(excel, target)
	else
		Dir::glob(Dir::pwd + "/*.xls").each do |path|
			convertXls(excel, path)
		end
	end
end

if __FILE__ == $0
	excel = WIN32OLE.new('EXCEL.Application') # ExcelIuWFNg
	begin
		main(excel, ARGV[0])
	rescue => e
		p e
	ensure
		excel.Workbooks.Close
		excel.Quit
	end
end
