package framework 
{
	/**
	 * ...
	 * @author syun
	 */
	public class Debug
	{
		private static var m_bDrawHit:Boolean;
		private static var m_bDrawFpsView:Boolean;
		private static var m_bDrawToken:Boolean;
		private static var m_bEnableDebugKey:Boolean;
		private static var m_bBgm:Boolean;
		private static var m_bSe:Boolean;
		private static var m_bUnlockAllOpen:Boolean
		public function Debug() 
		{
		}
		
		/**
		 * 初期化
		 */
		public static function initialize():void
		{
			m_bDrawHit = false; // 当たり判定の表示
			m_bDrawFpsView = true; // FPSビューの表示
			m_bDrawToken = false; // トークンの生存数の表示
			m_bEnableDebugKey = false; // デバッグキーの有効無効
			m_bBgm = false; // BGMを再生するかどうか
			m_bSe = false; // SEを再生するかどうか
			m_bUnlockAllOpen = false; // アンロックを全てオープンにするかどうか
		}
		
		public static function isDrawHit():Boolean
		{
			return m_bDrawHit;
		}
		
		public static function isDrawFpsView():Boolean
		{
			return m_bDrawFpsView;
		}
		
		public static function isDrawToken():Boolean
		{
			return m_bDrawToken;
		}
		public static function isEnableDebugKey():Boolean
		{
			return m_bEnableDebugKey;
		}
		public static function isBgm():Boolean
		{
			return m_bBgm;
		}
		public static function isSe():Boolean
		{
			return m_bSe;
		}
		public static function toggleBgm():void
		{
			m_bBgm = m_bBgm ? false : true;
		}
		public static function toggleSe():void
		{
			m_bSe = m_bSe ? false : true;
		}
		public static function isUnlockAllOpen():Boolean
		{
			return m_bUnlockAllOpen;
		}
	}

}